# $Revision: 1.14 $, $Date: 2006/09/08 18:03:40 $
%include	/usr/lib/rpm/macros.perl
Summary:	Log parsing and notification program
Summary(pl):	Program do analizy logw i powiadamiania
Name:		tenshi
Version:	0.5.1
Release:	3
License:	ISC
Group:		Applications/System
Source0:	http://dev.inversepath.com/tenshi/%{name}-%{version}.tar.gz
# Source0-md5:	44361d5d8defc5170146f467a8825413
Source1:	%{name}.init
Patch0:		%{name}-root.patch
Patch1:		%{name}-config.patch
URL:		http://dev.inversepath.com/trac/tenshi
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Obsoletes:	wasabi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/tenshi

%description
Tenshi is a log monitoring program, designed to watch one or more log
files for lines matching user defined regular expressions and report
on the matches. The regular expressions are assigned to queues which
have an alert interval and a list of mail recipients.

Queues can be set to send a notification as soon as there is a log
line assigned to it, or to send periodic reports.

Additionally, uninteresting fields in the log lines (such as PID
numbers) can be masked with the standard regular expression grouping
operators ( ). This allows cleaner and more readable reports. All
reports are separated by hostname and all messages are condensed when
possible.

%description -l pl
Tenshi to program do monitorowania logw zaprojektowany do ogldania
jednego lub wikszej liczby plikw logw pod ktem linii pasujcych do
zdefiniowanych przez uytkownika wyrae regularnych i raportowania
tych dopasowa. Wyraenia regularne s przypisywane do kolejek
majcych czstotliwo alarmowania i list adresatw pocztowych.

Kolejki mog by konfigurowane do wysyania powiadomie zaraz po
napotkaniu linii w logu lub wysyania regularnych raportw.

Dodatkowo nieciekawe pola z linii logw (takie jak numery procesw)
mog by pokrywane standardowymi operatorami grupowania wyrae
regularnych ( ). Daje to bardziej przejrzyste i bardziej czytelne
raporty. Wszystkie raporty s oddzielane nazw hosta, a wszystkie
wiadomoci s tak skondensowane, jak to tylko moliwe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man8,/var/run/tenshi}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 175 %{name}
%useradd -u 175 -d %{_sysconfdir} -g %{name} -c "Tenshi User" %{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc CREDITS Changelog README tenshi.conf
%attr(755,root,root) %{_sbindir}/*
%attr(750,root,tenshi) %dir %{_sysconfdir}
%attr(640,root,tenshi) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*
%dir %attr(775,root,tenshi) /var/run/tenshi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tenshi.spec,v $
Revision 1.14  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.13  2006/08/30 13:57:51  glen
- fixed config permissions; rel 2

Revision 1.12  2006/08/30 13:29:19  glen
- add tenshi user/group
- private pid dir
- updated URL and Source0

Revision 1.11  2006/08/30 11:46:11  glen
- new license ISC (distributable)

Revision 1.10  2006/08/30 11:41:36  glen
- updated to 0.5.1

Revision 1.9  2006/05/09 15:52:12  glen
- add debug smtp patch

Revision 1.8  2005/07/27 14:01:01  glen
- convert PreReq to Requires for new rpm
- perl dependencies autodetected (using macros.perl)
- use %service macro

Revision 1.7  2005/07/24 14:44:28  darekr
- updated to 0.3.4
- %verify for config file, md5sum

Revision 1.6  2005/02/03 23:08:14  qboosh
- chkconfig deps

Revision 1.5  2005/01/28 18:56:16  glen
- added chkconfig

Revision 1.4  2004/12/09 22:49:48  qboosh
- pl, removed invalid _sysconfdir usage

Revision 1.3  2004/12/09 08:50:39  glen
- longer %desc (to make program interesting ;)
- add perl R:

Revision 1.2  2004/12/08 23:29:50  ankry
- formatting

Revision 1.1  2004/12/08 21:33:09  glen
- version 0.3.2
- added to PLD CVS

Revision 1.4  2004/07/26 16:48:29  glen
- check for perl version prior making dep on perl-libnet

Revision 1.3  2004/07/22 15:11:56  glen
- up to 0.3.1

Revision 1.2  2004/07/18 22:30:43  glen
- initial as tenshi

Revision 1.1  2004/07/18 22:20:59  glen
- Added to CVS

Revision 1.1  2004/06/23 12:23:28  glen
- Added to CVS
